SystemOrganization addCategory: #'Versionner-Tests-Core-Commands'!

MBAbstractTest subclass: #MBCommandTests
	instanceVariableNames: 'gofer authorName tearDownPackages'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

MBCommandTests subclass: #MBAddBaselineCommandTest
	instanceVariableNames: 'command'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBAddBaselineCommandTest methodsFor: 'util' stamp: 'AlexandreBergel 3/26/2011 21:46'!
baselines
	^ {(MBBaselineInfo version: (MetacelloVersion fromString: '1.0-baseline'))
			configurationInfo: (MBConfigurationInfo configurationClass: configuration)}! !

!MBAddBaselineCommandTest methodsFor: 'util' stamp: 'AlexandreBergel 3/26/2011 21:49'!
configurationClass
	^ configuration! !

!MBAddBaselineCommandTest methodsFor: 'util' stamp: 'TesterBob 3/28/2011 00:09'!
isSelected: obj
	^ true! !

!MBAddBaselineCommandTest methodsFor: 'running' stamp: 'AlexandreBergel 3/26/2011 21:27'!
setUp

	super setUp.
	command := MBAddBaselineCommand target: nil for: self.
! !

!MBAddBaselineCommandTest methodsFor: 'tests' stamp: 'AlexandreBergel 3/26/2011 21:26'!
testAskForABaseline
	| t |
	
	"Ask for a repository"	
	[ command askForABaselineIfCancel: nil  ] 
		on: Exception 
		do: [:ex | t := 'Current baselines:
1.0-baseline
Enter a new baseline number' =  ex messageText ].
	self assert: t.
! !

!MBAddBaselineCommandTest methodsFor: 'tests' stamp: 'AlexandreBergel 3/26/2011 21:46'!
testAskForAPackagesNames
	| t |

	"Ask for a repository"	
	[ command askForPackagesNamesIfCancel: nil ] 
		on: Exception 
		do: [:ex | t := 'Please enter a pattern to filter package names' =  ex messageText ].
	self assert: t.! !

!MBAddBaselineCommandTest methodsFor: 'util' stamp: 'TesterBob 3/28/2011 00:09'!
versionString
	^ '1.0'! !

MBCommandTests subclass: #MBAddConfigurationCommandTest
	instanceVariableNames: 'command'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBAddConfigurationCommandTest methodsFor: 'as yet unclassified' stamp: 'AlexandreBergel 3/27/2011 23:36'!
testExecute
	| t v |
	t := false.
	command := MBAddConfigurationCommand target: self for: nil.
	[[command execute] valueSupplyingAnswer: self configurationName  ] 
		on: Error do: [:ex | 
			t := ex messageText = 'Class #ConfigurationOfMetacello_Command_Tests already exist' ].
	self assert: t.
	
	v := 10000 atRandom.
	self should: [[command execute] valueSupplyingAnswers: 
		{{'Name of the new Metacello configuration (e.g., ConfigurationOfYourSoftware)'  . self configurationName, v asString  } .
		  {'Enter initial version number' . '1.0'} ".
		  {'Would you like to use http://www.squeaksource.com/Metacello_Command_Tests2, for your project?' . true}"
		}] raise: Exception.
		
	self deny: (Smalltalk globals includesKey: (self configurationName, v asString) asSymbol ).
! !

MBCommandTests subclass: #MBAddDescriptionCommandTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBAddDescriptionCommandTest methodsFor: 'accessing' stamp: 'dkh 4/7/2011 00:44'!
configurationClass
	^ configuration! !

!MBAddDescriptionCommandTest methodsFor: 'accessing' stamp: 'TesterBob 4/7/2011 00:46'!
configurationInfo
	^ MBConfigurationInfo configurationClass: self configurationClass! !

!MBAddDescriptionCommandTest methodsFor: 'tests' stamp: 'AlexandreBergel 3/28/2011 09:25'!
testExecute
	| packageName mcPackage workingCopy httpRep |
	"We do not really test execute since the method raises a modal window. Instead, we test the method execute calls"
	packageName := 'ConfigurationOfMetacello_Command_Tests'.
	mcPackage := MCPackage named: packageName.
	workingCopy := mcPackage workingCopy.
	workingCopy repositoryGroup 
		addRepository: (httpRep := MCHttpRepository location:  'http://www.squeaksource.com/Metacello_Command_Tests' user: 'hello' password: 'world').

	[(MBAddDescriptionCommand target: self for: nil) appendDescription: 'HelloWorld' to: '1.0-baseline']
		valueSupplyingAnswers: 
			{{ 'You need to say where your project will be saved.
No HTTP repository associated. Do you want to add http://www.squeaksource.com/Metacello_Command_Tests' . true} }.

	workingCopy repositoryGroup removeRepository: httpRep! !

MBCommandTests subclass: #MBCommandMetacelloTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBCommandMetacelloTests methodsFor: 'tests' stamp: 'dkh 3/19/2011 10:37'!
testAddConfigurationCmd

	| versionString packageNames projectNames project version packages projects |
	self tearDownPackages addAll: #('ConfigurationOfMBFooTests' 'MBFooCommandTestA' 'MBFooCommandTestB'). "must be BEFORE the load"
	gofer version: 'MBFooCommandTestA-dkh.1'.
	gofer version: 'MBFooCommandTestB-dkh.1'.
	gofer version: 'ConfigurationOfMBFooTests-dkh.1'.
	gofer load.
	versionString := '1.0'.
	packageNames := #('MBFooCommandTestA' 'MBFooCommandTestB').
	projectNames := #('ConfigurationOfMBFooTests').
	MBAddConfigurationCommand new
		executeAddBaselineForConfigurationNamed: self configurationName
		repositoryDescription: 'dictionary://', self repositoryName asString
		versionString: versionString
		packages: packageNames
		configurations: projectNames.
	project := (Smalltalk at: self configurationName asSymbol) project.
	version := project version: versionString, '-baseline'.
	packages := version packages.
	self assert: packages size == 2.
	packages do: [:pkg |
		self assert: (packageNames includes: pkg name)].
	projects := version projects.
	projects do: [:prj |
		self assert: (projectNames includes: prj name)].
! !

!MBCommandMetacelloTests methodsFor: 'tests' stamp: 'dkh 3/20/2011 12:45'!
testConfigurationChanges! !

!MBCommandMetacelloTests methodsFor: 'tests' stamp: 'dkh 3/19/2011 14:09'!
testRemoveVersionCmd01
	"Issue 117: Removing a version does not update the #development/#stable symbolic versions."

	| configName class configurationRoot configInfo versionInfo cmd |
	configName := 'ConfigurationOfMBFooIssue117'.
	self tearDownPackages addAll: {configName}.
	gofer version: 'ConfigurationOfMBFooIssue117-dkh.1'.
	gofer load.
	class := Smalltalk at: configName asSymbol.
	self assert: (class project version: #development) versionString = '1.0'.
	self assert: (class project version: #stable) versionString = '1.0'.
	configurationRoot := MBConfigurationRoot new.
	configurationRoot register.
	configInfo := configurationRoot configurationInfoFor: class.
	versionInfo := configInfo versions detect: [ :each | each versionString = '1.0' ].
	cmd := MBRemoveCommand target: versionInfo for: self.
	[ cmd execute ]
		valueSupplyingAnswers:
			{{'Are you sure you want to remove*'.
			true}}.
	self should: [ class project version: #development ] raise: MetacelloSymbolicVersionNotDefinedError.
	self should: [ class project version: #stable ] raise: MetacelloSymbolicVersionNotDefinedError.
	self should: [ class project version: '1.0' ] raise: MetacelloVersionDoesNotExistError! !

!MBCommandMetacelloTests methodsFor: 'tests' stamp: 'dkh 3/19/2011 14:24'!
testRemoveVersionCmd02
	"Remove a bleedingEdge version that is imported ... should abort the operation"

	| configName class configurationRoot configInfo versionInfo cmd versionString |
	configName := 'ConfigurationOfMBFooIssue117'.
	self tearDownPackages addAll: {configName}.
	gofer version: 'ConfigurationOfMBFooIssue117-dkh.1'.
	gofer load.
	class := Smalltalk at: configName asSymbol.
	versionString := (class project version: #bleedingEdge) versionString.
	configurationRoot := MBConfigurationRoot new.
	configurationRoot register.
	configInfo := configurationRoot configurationInfoFor: class.
	versionInfo := configInfo baselines detect: [ :each | each versionString = versionString ].
	cmd := MBRemoveCommand target: versionInfo for: self.
	[ cmd execute ]
		valueSupplyingAnswers:
			{{'*is imported by another version*'.
			true}}.
	self assert: versionString = (class project version: #bleedingEdge) versionString! !

!MBCommandMetacelloTests methodsFor: 'tests' stamp: 'dkh 3/19/2011 14:35'!
testRemoveVersionCmd03
	"Remove a bleedingEdge version with no imports"

	| configName class configurationRoot configInfo versionInfo cmd versionString |
	configName := 'ConfigurationOfMBFooIssue117'.
	self tearDownPackages addAll: {configName}.
	gofer version: 'ConfigurationOfMBFooIssue117-dkh.2'.
	gofer load.
	class := Smalltalk at: configName asSymbol.
	versionString := (class project version: #bleedingEdge) versionString.
	self assert: versionString = '2.0-baseline'.
	configurationRoot := MBConfigurationRoot new.
	configurationRoot register.
	configInfo := configurationRoot configurationInfoFor: class.
	versionInfo := configInfo baselines detect: [ :each | each versionString = versionString ].
	cmd := MBRemoveCommand target: versionInfo for: self.
	[ cmd execute ]
		valueSupplyingAnswers:
			{{'Are you sure you want to remove*'.
			true}}.
	self assert: (class project version: #bleedingEdge) versionString = '1.0-baseline'.
	self should: [ class project version: versionString ] raise: MetacelloVersionDoesNotExistError! !

!MBCommandMetacelloTests methodsFor: 'tests' stamp: 'TesterBob 3/19/2011 14:45'!
testRemoveVersionCmd04
	"Remove a bleedingEdge version with no imports"

	| configName class configurationRoot configInfo versionInfo cmd versionString |
	configName := 'ConfigurationOfMBFooIssue117'.
	self tearDownPackages addAll: {configName}.
	gofer version: 'ConfigurationOfMBFooIssue117-dkh.3'.
	gofer load.
	class := Smalltalk at: configName asSymbol.
	versionString := (class project version: #bleedingEdge) versionString.
	self assert: versionString = '2.0-baseline'.
	configurationRoot := MBConfigurationRoot new.
	configurationRoot register.
	configInfo := configurationRoot configurationInfoFor: class.
	versionInfo := configInfo baselines detect: [ :each | each versionString = versionString ].
	cmd := MBRemoveCommand target: versionInfo for: self.
	[ cmd execute ]
		valueSupplyingAnswers:
			{{'Are you sure you want to remove*'.
			true}}.
	self should: [ class project version: #bleedingEdge ] raise: MetacelloSymbolicVersionNotDefinedError.
	self should: [ class project version: versionString ] raise: MetacelloVersionDoesNotExistError! !

!MBCommandMetacelloTests methodsFor: 'tests' stamp: 'dkh 3/19/2011 10:10'!
testUsernamePassword
	
	| cmd configInfo |
	gofer version: 'ConfigurationOfMBFooTests-dkh.1'.
	gofer load.
	self tearDownPackages add: 'ConfigurationOfMBFooTests'.
	configInfo := (MBConfigurationInfo configurationClass: (Smalltalk at: #'ConfigurationOfMBFooTests'))
		configurationRoot: MBConfigurationRoot new.
	cmd := MBSaveConfigurationCommand target: configInfo for: self.
	[cmd username] valueSupplyingAnswer: 'ab'.
	[cmd password] valueSupplyingAnswer: 'foobar'.
	
	self assert: cmd username = 'ab'.
	self assert: cmd password = 'foobar'.! !

!MBCommandTests methodsFor: 'private' stamp: 'TesterBob 3/20/2011 13:21'!
configurationName

	^#'ConfigurationOfMetacello_Command_Tests'! !

!MBCommandTests methodsFor: 'running' stamp: 'dkh 3/19/2011 10:08'!
hasPackage: aString
	| package |
	package := MCWorkingCopy allManagers
		detect: [ :each | each packageName = aString ]
		ifNone: [ nil ].
	^ package notNil! !

!MBCommandTests methodsFor: 'private' stamp: 'dkh 3/19/2011 10:13'!
repositoryName

	^#'Metacello_Dev_Cycle_Repository'! !

!MBCommandTests methodsFor: 'running' stamp: 'dkh 3/19/2011 10:13'!
runCase
	| original |
	original := MetacelloPlatform current bypassGoferLoadUpdateCategories.
	^ [ 
	MetacelloPlatform current bypassGoferLoadUpdateCategories: true.
	SystemChangeNotifier uniqueInstance doSilently: [ super runCase ] ]
		ensure: [ MetacelloPlatform current bypassGoferLoadUpdateCategories: original ]! !

!MBCommandTests methodsFor: 'running' stamp: 'dkh 3/19/2011 10:16'!
setUp

	| repo |
	super setUp.
	gofer := Gofer new.
	gofer disablePackageCache.
	repo := MBMonticelloPackagesResource current monticelloRepository.
	gofer repository: repo.
	Smalltalk at: #'MB_Foo_Test_Repository' put: repo.

	repo := MCDictionaryRepository new.
	repo description: 'dictionary://', self repositoryName asString.
	Smalltalk at: self repositoryName put: repo.

	authorName := MetacelloPlatform current authorName.
	MetacelloPlatform current authorName: 'TesterBob'.
! !

!MBCommandTests methodsFor: 'running' stamp: 'dkh 3/19/2011 10:54'!
tearDown
	gofer := Gofer new.
	self tearDownPackages do: [:pkgName | (self hasPackage: pkgName) ifTrue: [ gofer package: pkgName ]].
	gofer references notEmpty ifTrue: [ gofer unload ].

	Smalltalk removeKey: self repositoryName ifAbsent: [  ].
	Smalltalk removeKey: #'MB_Foo_Test_Repository' ifAbsent: [].
	
	Smalltalk at: self configurationName ifPresent: [:cls | cls removeFromSystem ].

	MetacelloPlatform current authorName: authorName.! !

!MBCommandTests methodsFor: 'accessing' stamp: 'dkh 3/19/2011 10:04'!
tearDownPackages

	tearDownPackages ifNil: [ tearDownPackages := OrderedCollection new ].
	^tearDownPackages! !

MBCommandTests subclass: #MBConfigurationChangesCmdMetacelloTests
	instanceVariableNames: 'configInfo selectedRepository findChangesForBlock'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBConfigurationChangesCmdMetacelloTests methodsFor: 'cmd hookup' stamp: 'TesterBob 3/20/2011 13:49'!
findChangesFor: wc relativeToRepository: repositoryOrSymbolicVersion 

	findChangesForBlock value: wc value: repositoryOrSymbolicVersion! !

!MBConfigurationChangesCmdMetacelloTests methodsFor: 'cmd hookup' stamp: 'TesterBob 3/20/2011 13:49'!
selectRepositoryFromWorkingCopy: workingCopy

	^selectedRepository! !

!MBConfigurationChangesCmdMetacelloTests methodsFor: 'running' stamp: 'dkh 3/20/2011 17:14'!
setUp

	| configClassName configClass configurationRoot |
	super setUp.
	gofer version: 'ConfigurationOfMBFooTests-dkh.3'.
	gofer load.
	((Smalltalk at: #ConfigurationOfMBFooTests) project version: '1.2') load.

	"modify class in MBFooTests project"
	(Smalltalk at: #MBFooTestA) compile: 'bar ^self' classified: 'mod'.
	
	configClassName := #ConfigurationOfMBFooTests.
	configClass := Smalltalk at: configClassName ifAbsent: [  ].
	configurationRoot := MBConfigurationRoot new.
	configInfo := configurationRoot configurationInfoFor: configClass.
	self tearDownPackages addAll: #('MBFooTests' 'ConfigurationOfMBFooTests').
! !

!MBConfigurationChangesCmdMetacelloTests methodsFor: 'tests' stamp: 'TesterBob 3/20/2011 13:51'!
testCompareToRepository
	| cmd infos packageInfo |

	infos := configInfo packages.

	packageInfo := infos detect: [ :each | each name = 'MBFooTests-dkh.3' ].
	cmd := MBTestConfigurationChangesCommand target: packageInfo for: self.

	selectedRepository := gofer repositories first.
	findChangesForBlock := [ :wc :repository | 
		self assert: wc packageName = 'MBFooTests'.
		self assert: selectedRepository == repository. ].
	cmd execute! !

MBCommandTests subclass: #MBConfigurationUpdateDevCmdMetacelloTests
	instanceVariableNames: 'configInfo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBConfigurationUpdateDevCmdMetacelloTests methodsFor: 'running' stamp: 'dkh 3/23/2011 10:39'!
setUp

	| configClassName configClass configurationRoot |
	super setUp.
	gofer version: 'ConfigurationOfMBFooTests-dkh.3'.
	gofer load.
	((Smalltalk at: #ConfigurationOfMBFooTests) project version: '1.1') load.

	"modify class in MBFooTests project"
	(Smalltalk at: #MBFooTestA) compile: 'bar ^self' classified: 'mod'.
	
	configClassName := #ConfigurationOfMBFooTests.
	configClass := Smalltalk at: configClassName ifAbsent: [  ].
	configurationRoot := MBConfigurationRoot new.
	configInfo := configurationRoot configurationInfoFor: configClass.
	self tearDownPackages addAll: #('MBFooTests' 'ConfigurationOfMBFooTests').
! !

!MBConfigurationUpdateDevCmdMetacelloTests methodsFor: 'tests' stamp: 'dkh 3/23/2011 10:39'!
testUpdateDev

! !

MBCommandTests subclass: #MBPackageChangesCmdMetacelloTests
	instanceVariableNames: 'configInfo selectedRepositoryOrSymbolicVersion selectedRepository findChangesForBlock findChangesBetweenBlock'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBPackageChangesCmdMetacelloTests methodsFor: 'cmd hookup' stamp: 'TesterBob 3/20/2011 13:25'!
findChangesBetween: packageSnapshot toLabel: toLabel and: ancestorVersioSnapshot fromLabel: fromLabel

	findChangesBetweenBlock
		value: packageSnapshot
		value: toLabel
		value: ancestorVersioSnapshot
		value: fromLabel! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'cmd hookup' stamp: 'TesterBob 3/20/2011 13:18'!
findChangesFor: wc relativeToRepository: repositoryOrSymbolicVersion 

	findChangesForBlock value: wc value: repositoryOrSymbolicVersion! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'cmd hookup' stamp: 'TesterBob 3/20/2011 13:34'!
selectRepositoryFromWorkingCopy: workingCopy

	^selectedRepository! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'cmd hookup' stamp: 'dkh 3/20/2011 13:12'!
selectRepositoryOrSymbolicVersion: workingCopy

	^selectedRepositoryOrSymbolicVersion! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'running' stamp: 'dkh 3/20/2011 17:14'!
setUp

	| configClassName configClass configurationRoot |
	super setUp.
	gofer version: 'ConfigurationOfMBFooTests-dkh.3'.
	gofer load.
	((Smalltalk at: #ConfigurationOfMBFooTests) project version: '1.2') load.

	"modify class in MBFooTests project"
	(Smalltalk at: #MBFooTestA) compile: 'bar ^self' classified: 'mod'.
	
	configClassName := #ConfigurationOfMBFooTests.
	configClass := Smalltalk at: configClassName ifAbsent: [  ].
	configurationRoot := MBConfigurationRoot new.
	configInfo := configurationRoot configurationInfoFor: configClass.
	self tearDownPackages addAll: #('MBFooTests' 'ConfigurationOfMBFooTests').
! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'tests' stamp: 'TesterBob 3/20/2011 13:45'!
testCompareToBleedingEdge
	| cmd infos packageInfo |
	infos := configInfo packages.
	packageInfo := infos detect: [ :each | each name = 'MBFooTests-dkh.3' ].
	cmd := MBTestPackageChangesCommand target: packageInfo for: self.
	selectedRepositoryOrSymbolicVersion := #bleedingEdge.
	selectedRepository := gofer repositories first.
	findChangesBetweenBlock := [ :packageSnapshot :toLabel :ancestorVersioSnapshot :fromLabel | 
	self assert: toLabel = 'MBFooTests-dkh.3 (1.2)'.
	self assert: fromLabel = 'MBFooTests-dkh.4 (#bleedingEdge )' ].
	cmd execute! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'tests' stamp: 'TesterBob 3/20/2011 13:47'!
testCompareToDevelopment
	| cmd infos packageInfo |
	infos := configInfo packages.
	packageInfo := infos detect: [ :each | each name = 'MBFooTests-dkh.3' ].
	cmd := MBTestPackageChangesCommand target: packageInfo for: self.
	selectedRepositoryOrSymbolicVersion := #development.
	selectedRepository := gofer repositories first.
	"no #development version defined"
	self should: [ cmd execute ] raise: MetacelloSymbolicVersionNotDefinedError! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'tests' stamp: 'TesterBob 3/20/2011 13:52'!
testCompareToRepository
	| cmd infos packageInfo |

	infos := configInfo packages.

	packageInfo := infos detect: [ :each | each name = 'MBFooTests-dkh.3' ].
	cmd := MBTestPackageChangesCommand target: packageInfo for: self.

	selectedRepositoryOrSymbolicVersion := gofer repositories first.
	findChangesForBlock := [ :wc :repository | 
		self assert: wc packageName = 'MBFooTests'.
		self assert: selectedRepositoryOrSymbolicVersion == repository. ].
	cmd execute! !

!MBPackageChangesCmdMetacelloTests methodsFor: 'tests' stamp: 'TesterBob 3/20/2011 13:44'!
testCompareToStable
	| cmd infos packageInfo |
	infos := configInfo packages.
	packageInfo := infos detect: [ :each | each name = 'MBFooTests-dkh.3' ].
	cmd := MBTestPackageChangesCommand target: packageInfo for: self.
	selectedRepositoryOrSymbolicVersion := #stable.
	selectedRepository := gofer repositories first.
	findChangesBetweenBlock := [ :packageSnapshot :toLabel :ancestorVersioSnapshot :fromLabel | 
	self assert: toLabel = 'MBFooTests-dkh.3 (1.2)'.
	self assert: fromLabel = 'MBFooTests-dkh.1 (#stable )' ].
	cmd execute! !

MBCommandTests subclass: #MBValidateConfigurationCommandTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBValidateConfigurationCommandTest methodsFor: 'tests' stamp: 'TesterBob 3/28/2011 00:26'!
testExecute

	self should: [(MBValidateConfigurationCommand target: (MBConfigurationInfo configurationClass: configuration  ) for: nil  ) execute] raise: MetacelloStackCacheNotification ! !

TestCase subclass: #MBLoadConfigurationCommandTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBLoadConfigurationCommandTest methodsFor: 'tests' stamp: 'dkh 3/20/2011 14:15'!
testExecute 
	| block clsName |
	block := [(MBLoadConfigurationCommand target: nil) execute].
	clsName := 'ConfigurationOfHomeSweetHome'.
	
	Smalltalk globals at: clsName ifPresent: [ :cls | (Smalltalk globals at: clsName) removeFromSystem ].
	self should: 
		[block valueSupplyingAnswers: {
			{'Name of the new Metacello configuration (e.g., ConfigurationOfYourSoftware)'  . clsName} . 
			{'Would you like to use http://www.squeaksource.com/HomeSweetHome, for your project?' . true} .
			{'Enter initial version number' . '1.0'} }] raise: Exception
! !

MBConfigurationChangesCommand subclass: #MBTestConfigurationChangesCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBTestConfigurationChangesCommand methodsFor: 'changes' stamp: 'dkh 3/20/2011 12:58'!
findChangesFor: wc relativeToRepository: repositoryOrSymbolicVersion 

	requestor findChangesFor: wc relativeToRepository: repositoryOrSymbolicVersion ! !

!MBTestConfigurationChangesCommand methodsFor: 'utility' stamp: 'TesterBob 3/20/2011 13:51'!
selectRepositoryFromWorkingCopy: workingCopy

	^requestor selectRepositoryFromWorkingCopy: workingCopy! !

MBPackageChangesCommand subclass: #MBTestPackageChangesCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Versionner-Tests-Core-Commands'!

!MBTestPackageChangesCommand methodsFor: 'test hookup' stamp: 'dkh 3/20/2011 12:58'!
findChangesBetween: packageSnapshot toLabel: toLabel and: ancestorVersioSnapshot fromLabel: fromLabel

	requestor findChangesBetween: packageSnapshot toLabel: toLabel and: ancestorVersioSnapshot fromLabel: fromLabel
! !

!MBTestPackageChangesCommand methodsFor: 'changes' stamp: 'TesterBob 3/20/2011 13:15'!
findChangesFor: wc relativeToRepository: repositoryOrSymbolicVersion 

	requestor findChangesFor: wc relativeToRepository: repositoryOrSymbolicVersion ! !

!MBTestPackageChangesCommand methodsFor: 'utility' stamp: 'TesterBob 3/20/2011 13:33'!
selectRepositoryFromWorkingCopy: workingCopy

	^requestor selectRepositoryFromWorkingCopy: workingCopy! !

!MBTestPackageChangesCommand methodsFor: 'test hookup' stamp: 'TesterBob 3/20/2011 13:17'!
selectRepositoryOrSymbolicVersion: workingCopy

	^requestor selectRepositoryOrSymbolicVersion: workingCopy! !
